/v1/mgmt/accesskey/attributeAuthorization
Descope Project ID and Management Key Project ID:Management Key as bearer token.
In: header
Request Body
application/json
Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.
Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.
Represents a dynamically typed value which can be either null, a number, a string, a boolean, a recursive struct value, or a list of values.
Create or update a single access key custom attribute definition (upsert by machine name), using a valid management key.
curl -X POST "https://api.descope.com/v1/mgmt/accesskey/attribute" \ -H "Content-Type: application/json" \ -d '{}'Rotate Access Key POST
Rotate an access key — regenerates the secret for an existing access key while preserving the same key ID, name, roles, tenants, expiry and metadata. The new cleartext is returned exactly once and the previous secret stops working immediately.
Create governance access request POST
Create an Agentic Governance Suite access request to provision an agent client on behalf of a developer, using a valid management key. When auto-approval is on and the current policies already permit the request, it is approved and the client provisioned immediately. Requires the Agentic Governance Suite in the company license, and fails while the suite is disabled.